import request from '@/utils/request'

//机具类型管理列表信息
export function getListHouse(query) {
  return request({
      url: '/material/wh_house_info/list',
      method: 'get',
      params: query,
  })
}

//查看机具类型管理列表详细信息
export function getHouseDetail(id) {
  return request({
      url: '/material/wh_house_info/'+ id,
      method: 'get',
  })
}


// 物资名称下拉框-
export function queryKeeperNameApi(query) {
  return request({
    url: '/material/ma_type/selectMaTypeListByTypeId',
    method: 'get',
    params: query
  })
}

// 仓库管理--删除
export function delHouse(id) {
  return request({
      url: '/material/wh_house_info/' + id,
      method: 'delete',
  })
}

// 仓库管理--修改
export function editHouse(data) {
  return request({
      url: '/material/wh_house_info',
      method: 'put',
      data: data,
  })
}

// 仓库管理--新增
export function addHouse(data) {
  return request({
      url: '/material/wh_house_info',
      method: 'post',
      data: data,
  })
}

// 工程项目-列表
export function getProjectList(query) {
  return request({
    url: '/material/base/bmProjectInfo/projectInfoAll',
    method: 'get',
    params: query
  })
}

